% Copyright  2012 Computational Biomedicine Lab (CBL), 
% University of Houston. All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without
% modification, is prohibited without the prior written consent of CBL.
%


%%%%%%%%%%%%%%%%%%%% 
% CHANGING OPTIONS % 
%%%%%%%%%%%%%%%%%%%% 
% pathList = {'C:\Users\david\Desktop\for David\Raw\OP\Olfactory_Fibers_OP_1'};
% nameList = {'Olfactory_Fibers_OP_1'}; 
% mdSuffix = '_dOP';
% clSuffix = '_CL';
% zSmearFactor = 1;

pathList = {'C:\Users\pankaj singh\Desktop\Read\MatlabExp\TaraKeck\Stack1\Common\Log_Common\'...
   % 'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'...
%     'C:\Users\pankaj singh\Desktop\Read\Laezza\'};
};

nameList = {'Log_Common_3_E2_sigma_2_Segmentation_SPINES_s_2_t_0_8_b_500'...
%     'Laezza_DIV14_GSK24h_combined_Denoised_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000',...
%     'Laezza_DIV14_GSK24h_combined_Segmentation_DENDRITES_s_2_t_0_75_b_1000' ...
%     'Laezza_first_blue_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_first_combined_Denoised_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_first_combined_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_second_blue_Denoised_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_second_blue_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_second_combined_Denoised_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'...
%     'Laezza_second_combined_Segmentation_DENDRITES_s_0_56_t_0_75_b_1000'}; 
};
mdSuffix = '';
clSuffix = '_CL_new.swc';
zSmearFactor = 1;



%%%%%%%%%%%%%%%%% 
% FIXED OPTIONS % 
%%%%%%%%%%%%%%%%% 
K = length(pathList);
L = zeros(K,4);

% parfor k = 1:K
for k = 1:K
    path = pathList{k};
    %name = strcat(nameList{k}, mdSuffix,'_BIN');
    name = strcat(nameList{k}, mdSuffix);
    savName = fullfile(path,strcat(name,clSuffix));
    LB = .5;
    B = RAWfromMHD(name,[],path);
    [S D I] = genSeeds(B,LB,zSmearFactor); 
    T = joinSeeds(D,S,I); 
    T = genTraceTable(T); 
    dlmwrite(savName, T.amiraTable, 'delimiter', ' ');
    % disp(k);
end

% CREATED: 
% - Date: 09/06/2012
% - By: David Jimenez.
% 
